#ifndef GFX2GROB_H
#define GFX2GROB_H


#include <stdio.h>


#ifndef EXIT_FAILURE
#define EXIT_FAILURE 10
#endif

#define MAXNAMESIZE	  80			/* buffer for filenames */
#define DEFAULDWIDTH	  131
#define DEFAULDWIDTHSTR  "131"
#define DEFAULDHEIGHT	  64
#define DEFAULDHEIGHTSTR "64"


typedef unsigned char u_char;
typedef unsigned int  u_int;

#undef FALSE
#undef TRUE
typedef enum { FALSE = (0 == 1),
	       TRUE = (0 == 0)
	     } boolean;

typedef enum { OT_NOONE,
	       OT_TOASCII,
	       OT_TOBIN
#ifdef AMIGA
	     , OT_TOIFF
#endif
	     } OptionType;

typedef struct { char *InputfileName,
		      *OutputfileName,
		      NewOutputfileName[MAXNAMESIZE];
		 OptionType Option;
		 int Width,
		     Height;
	       } OptionsType;

typedef struct { OptionsType Options;
		 FILE *Inputfile,
		      *Outputfile;
	       } gvType;		/* global vars */


extern const char NULLSTR[];  /* #define NULLSTR "": !always same address  */


#endif /* GFX2GROB_H */
